<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Api\CitytourController;
use App\Http\Controllers\Api\AttractionController;
use App\Http\Controllers\Api\AdventureController;
use App\Http\Controllers\Api\FlightController;
use App\Http\Controllers\Api\BookingController;
use App\Http\Controllers\Api\HotelController;
use App\Http\Controllers\Api\AuthController;
use App\Http\Controllers\Api\PageController;
use App\Http\Controllers\Api\WishlistController;
use App\Http\Controllers\Api\LeadController;
use App\Http\Controllers\Api\ContactController;







/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::get('page/{slug}',[PageController::class,'page']);
Route::get('all_page_name',[PageController::class,'all_page_name']);



Route::get('city_tour',[CitytourController::class,'index']);
Route::get('city_tour/{id}',[CitytourController::class,'show']);


//attraction
Route::get('attraction',[AttractionController::class,'index']);
Route::get('attraction/{id}',[AttractionController::class,'show']);


//Adventure
Route::get('adventure',[AdventureController::class,'index']);
Route::get('adventure/{id}',[AdventureController::class,'show']);



Route::post('flightsearchOffer',[FlightController::class,'flightsearchOffer']);
Route::post('flightOfferPrice',[FlightController::class,'flightOfferPrice']);
Route::post('flightOfferCreate',[FlightController::class,'flightOfferCreate']);
Route::post('FlightOfferCreateDetails',[FlightController::class,'FlightOfferCreateDetails']);
Route::post('flightfiltersearch',[FlightController::class,'flightfiltersearch']);
Route::get('/cities/{iso2}',[FlightController::class,'getCitiesByISO2']);

//Lead

Route::post('store_lead',[LeadController::class,'store']);

//Contact us

Route::post('store_contact',[ContactController::class,'store']);



//wishlist
Route::post('addtowishlist',[WishlistController::class,'addToWishlist']);
Route::get('wishlist', [WishlistController::class,'getWishlist']);

Route::post('hotelsearchCity',[HotelController::class,'hotelsearchCity']);
Route::post('hotelsearch',[HotelController::class,'hotelsearch']);
Route::post('TrendingHotels',[HotelController::class,'TrendingHotels']);


// Route::get('main',[HotelController::class,'main']);
Route::get('/getMapData', [HotelController::class, 'getMapData']);
Route::get('/get-place-id', [HotelController::class, 'getPlaceId']);
Route::get('/place-details/{placeId}', [HotelController::class, 'placeDetails']);
Route::get('/place-photos/{photoReference}', [HotelController::class, 'placePhotos']);
Route::get('/main', [HotelController::class, 'main']);


//bookings



// login and register api
Route::post('/register', [AuthController::class, 'register']);
Route::post('/login', [AuthController::class, 'login']);


Route::middleware('auth:sanctum')->group(function () {

    Route::post('bookingAttraction',[AttractionController::class,'booking']);
    Route::post('bookingCity',[CitytourController::class,'booking']);
    Route::post('/bookings',[BookingController::class,'booking']);
    Route::post('hotelbooking',[HotelController::class,'hotelbooking']);
    Route::post('bookingAdventure',[AdventureController::class,'booking']);


});


