<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\Http\Controllers\RoleController;
use App\Http\Controllers\CustomerController;
use App\Http\Controllers\ProfileController;





Route::group(['middleware' => ['auth']], function () {

    Route::get('city_tour',[\App\Http\Controllers\CitytourController::class,'index'])->name('city.index');
    Route::get('city_tour/create',[\App\Http\Controllers\CitytourController::class,'create'])->name('city.create');
    Route::post('city_tour/store',[\App\Http\Controllers\CitytourController::class,'store'])->name('city.store');
    Route::get('city_tour/edit/{id}',[\App\Http\Controllers\CitytourController::class,'edit'])->name('city.edit');
    Route::put('city_tour/update/{id}',[\App\Http\Controllers\CitytourController::class,'update'])->name('city.update');
    Route::delete('city_tour/delete/{id}',[\App\Http\Controllers\CitytourController::class,'destroy'])->name('city.destroy');
    Route::get('city_tour/show/{id}',[\App\Http\Controllers\CitytourController::class,'show'])->name('city.show');
    Route::get('citybooking',[\App\Http\Controllers\CitytourController::class,'booking'])->name('city.booking');
    Route::get('citybooking/show/{id}',[\App\Http\Controllers\CitytourController::class,'showbooking'])->name('city.showbooking');

    //attraction controller
    Route::get('attraction',[\App\Http\Controllers\AttractionController::class,'index'])->name('attraction.index');
    Route::get('attraction/create',[\App\Http\Controllers\AttractionController::class,'create'])->name('attraction.create');
    Route::post('attraction/store',[\App\Http\Controllers\AttractionController::class,'store'])->name('attraction.store');
    Route::get('attraction/edit/{id}',[\App\Http\Controllers\AttractionController::class,'edit'])->name('attraction.edit');
    Route::put('attraction/update/{id}',[\App\Http\Controllers\AttractionController::class,'update'])->name('attraction.update');
    Route::delete('attraction/delete/{id}',[\App\Http\Controllers\AttractionController::class,'destroy'])->name('attraction.destroy');
    Route::get('attraction/show/{id}',[\App\Http\Controllers\AttractionController::class,'show'])->name('attraction.show');
    Route::get('attractionbooking',[\App\Http\Controllers\AttractionController::class,'booking'])->name('attraction.booking');
    Route::get('attractionbooking/show/{id}',[\App\Http\Controllers\AttractionController::class,'showbooking'])->name('attraction.showbooking');

    //adventures
    Route::get('adventure',[\App\Http\Controllers\AdventureController::class,'index'])->name('adventure.index');
    Route::get('adventure/create',[\App\Http\Controllers\AdventureController::class,'create'])->name('adventure.create');
    Route::post('adventure/store',[\App\Http\Controllers\AdventureController::class,'store'])->name('adventure.store');
    Route::get('adventure/edit/{id}',[\App\Http\Controllers\AdventureController::class,'edit'])->name('adventure.edit');
    Route::put('adventure/update/{id}',[\App\Http\Controllers\AdventureController::class,'update'])->name('adventure.update');
    Route::delete('adventure/delete/{id}',[\App\Http\Controllers\AdventureController::class,'destroy'])->name('adventure.destroy');
    Route::get('adventure/show/{id}',[\App\Http\Controllers\AdventureController::class,'show'])->name('adventure.show');
    Route::get('adventurebooking',[\App\Http\Controllers\AdventureController::class,'booking'])->name('adventure.booking');
    Route::get('adventurebooking/show/{id}',[\App\Http\Controllers\AdventureController::class,'showbooking'])->name('adventure.showbooking');

    Route::resource('role',RoleController::class);
    //flight data
    Route::get('flightdata',[\App\Http\Controllers\FlightController::class,'flightdata'])->name('flight.flightdata');
    Route::get('flightdata/show/{id}',[\App\Http\Controllers\FlightController::class,'showflightdata'])->name('flight.showflightdata');


    //settings

    Route::get('setting/edit',[\App\Http\Controllers\SettingController::class,'edit'])->name('setting.edit');
    Route::post('setting/update/{id}',[\App\Http\Controllers\SettingController::class,'setting_update'])->name('setting.update');


    Route::resource('customer',CustomerController::class);
	Route::get('user',[CustomerController::class,'user'])->name('customer.user');


    Route::resource('page',\App\Http\Controllers\PageController::class);



	Route::get('profile',[ProfileController::class,'index'])->name('profile.index');
    Route::post('profileupdate/{id}', [ProfileController::class,'profileupdate'])->name('profile.updatea');
    Route::post('profilepasswoerd/{id}', [ProfileController::class,'profilepasswoerd'])->name('profile.password');
	Route::get('settings',[ProfileController::class,'settings'])->name('profile.settings');
    // Route::post('setting_update/{id}', [ProfileController::class,'setting_update'])->name('setting.update');
    Route::post('state', [ProfileController::class,'state'])->name('profile.state');


    Route::get('/clear-cache', function() {

    $exitCode = Artisan::call('queue:work');
    dd($exitCode);
    // return what you want
    });


    //lead
    Route::get('lead',[\App\Http\Controllers\LeadController::class,'index'])->name('lead.index');
    Route::get('lead/show/{id}',[\App\Http\Controllers\LeadController::class,'show'])->name('lead.show');
    Route::post('lead/emailmessage',[\App\Http\Controllers\LeadController::class,'emailmessage'])->name('lead.emailmessage');

    //contact
    Route::get('contact',[\App\Http\Controllers\ContactController::class,'index'])->name('contact.index');
    Route::get('contact/show/{id}',[\App\Http\Controllers\ContactController::class,'show'])->name('contact.show');
    Route::post('contact/emailmessage',[\App\Http\Controllers\ContactController::class,'emailmessage'])->name('contact.emailmessage');

    //AtechsightLeadController
    Route::get('atechsightlead',[\App\Http\Controllers\AtechsightLeadController::class,'index'])->name('atechsightlead.index');
    Route::get('atechsightleadlead/show/{id}',[\App\Http\Controllers\AtechsightLeadController::class,'show'])->name('atechsightlead.show');
    Route::post('atechsightleadlead/emailmessage',[\App\Http\Controllers\AtechsightLeadController::class,'emailmessage'])->name('atechsightlead.emailmessage');

    //contact
    Route::get('atechsightcontact',[\App\Http\Controllers\AtechsightContactController::class,'index'])->name('atechsightcontact.index');
    Route::get('atechsightcontact/show/{id}',[\App\Http\Controllers\AtechsightContactController::class,'show'])->name('atechsightcontact.show');
    Route::post('atechsightcontact/emailmessage',[\App\Http\Controllers\AtechsightContactController::class,'emailmessage'])->name('atechsightcontact.emailmessage');

});








Route::get('/dashboard', function () {
    return view('dashboard');
})->middleware(['auth'])->name('dashboard');

// Route::get('/', function () {
//     return view('dashboard');
// })->middleware(['auth'])->name('dashboard');

require __DIR__.'/auth.php';
